// vertex shader
#version 330
layout(location = 0) in vec3 position;


uniform mat4 projectionMatrix;
uniform mat4 model;
uniform samplerCube cubemap;

varying vec3 texcoord;
void main()
{
	gl_Position = projectionMatrix * model * vec4(position, 1);

	texcoord = position;
}
