// fragment shader
#version 330
in vec3 worldPosition;
in vec3 texcoord;

layout (location = 0) out vec4 fragcolor;
layout (location = 1) out vec4 brightColor;



uniform samplerCube cubemap;

void main() {
	fragcolor = vec4(texture(cubemap,texcoord).rgb,1.0);//vec4(texcoord,1.0);//texture(cubemap,texcoord);
	
	brightColor = vec4(0.0,0.0,0.0,1.0);
	float brightness = dot(fragcolor.rgb, vec3(0.2126, 0.7152, 0.0722));
	if (brightness >  0.5)
		brightColor = fragcolor;
}