#version 330

layout(location = 0) in vec3 position;
layout(location = 1) in vec2 uv;

out vec2 texCoords;

uniform mat4 projectionMatrix;
uniform mat4 model;
uniform mat3 normalMatrix;

void main() {
	
	gl_Position = vec4(position, 1.0f);
	texCoords = uv;
}